import snapd;
import commandr;
import std.file;

import core.stdc.stdlib : EXIT_SUCCESS;

private string programName = "snapd";

int main(string[] args)
{
	auto argumets = new Program(programName, snapdVersion)
		.add(new Option("c", "config", "Сonfiguration file path")
			.optional
			.validateEachWith(
				opt => opt.exists && opt.isFile,
				"A JSON file path must be provided"
			)
		)
		.parse(args);

	string configFile = "snapd.json";
	configFile = argumets.option("config", configFile);

	auto sc = new SnapdConfig(configFile);

	return EXIT_SUCCESS;
}
