module snapd.config;

import std.json;
import std.file;
import std.stdio : writeln;

class SnapdConfig {
	private string _git;
	private string _project;

	this(string configFile) {
		string jsonText = readText(configFile);

		auto jsonData = parseJSON(jsonText);
		if ("gits" !in jsonData)
			writeln("Ключ отсутствует");
		writeln(jsonData["git"].str);
		writeln(jsonData["project"].str);
	}
}
